Summary:	The GNU Bourne Again shell (bash) version %{version}.
Name:		bash
License:	GPL
Group:		System Environment/Shells
Version:	3.0
Release:	1
Source0:	ftp://ftp.gnu.org/gnu/bash/bash-%{version}.tar.gz
Source1:	bashrc-gd-2
Source2:	ftp://ftp.gnu.org/gnu/bash/bash-doc-%{version}.tar.gz
Source3:	dot-bashrc
Source4:	dot-bash_profile-GD
Patch1:		bash-2.02-security.patch
Patch2:		bash-2.03-profile.patch
Patch3:		bash-2.04-compat.patch
Requires:	mktemp
PreReq:		libtermcap >= 2.0.8
Provides:	bash2
Obsoletes:	bash2 etcskel
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification. This
package (bash) contains bash version %{version}, which improves POSIX
compliance over previous versions. However, many old shell scripts
will depend upon the behavior of bash 1.14, which is included in the
bash1 package. Bash is the default shell for Red Hat Linux.  It is
popular and powerful, and you'll probably end up using it.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc %{_infodir}/bash.info.gz
  %exclude %{_mandir}/man1/printf.1*
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man1/..1*
  %config %{_sysconfdir}/bashrc
  %config %{_sysconfdir}/skel

  %attr(0511,root,root)	%{_root_bindir}/sh
  %attr(0511,root,root)	%{_root_bindir}/bash
  %attr(0511,root,root)	%{_root_bindir}/bash2
  %attr(0511,root,root)	%{_bindir}/bashbug

%package doc
Summary:	Documentation for the GNU Bourne Again shell (bash) version 2.03.
Group:		Documentation
Obsoletes:	bash2-doc

%description doc
The bash-doc package contains documentation for the GNU Bourne
Again shell version %{version}.

%files doc
  %defattr(0444,root,root,0555)
  %doc doc/*.ps doc/*.0 doc/*.html doc/article.txt
  %doc examples/bashdb/ examples/functions/ examples/misc/
  %doc examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
  %doc examples/startup-files/
  %doc CHANGES COMPAT NEWS NOTES
  %doc doc/FAQ doc/INTRO doc/article.ms

%prep
%setup -q -a 2
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
  echo %{version} > _distribution
  echo %{release} | sed 's/\.//g' > _patchlevel

  %configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # Remove irritating ^H's from the documentation
  chmod u+w doc/*
  for i in `ls --color=no doc/` ; \
	do cat doc/$i > $i ; \
	cat $i | perl -p -e 's/.//g' > doc/$i ; \
	rm $i ; \
	done

  # Make manpages for bash builtins as per suggestion in DOC/README
  pushd doc
  sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages

  for i in echo pwd test kill; do
    perl -pi -e "s,$i,,g" man.pages
    perl -pi -e "s,  , ,g" man.pages
  done

  install -c builtins.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/builtins.1

  for i in `cat man.pages` ; do
    echo .so man1/builtins.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/$i.1
  done

  # now turn man.pages into a filelist for the man subpackage
  cat man.pages | tr -s ' ' '\n' | sed '
1i\
%defattr(0644,root,root,0755)
s:^:%{_mandir}/man1/:
s/$/.1*/
' > ../man.pages
  popd

  pushd $RPM_BUILD_ROOT
    mkdir ./bin
    mv ./usr/bin/bash ./bin
    ln -sf bash ./bin/bash2
    ln -sf bash ./bin/sh
    strip ./bin/* || :
    gzip -9nf .%{_infodir}/bash.info
    rm -f .%{_infodir}/dir
  popd

  # XXX
  mkdir -p $RPM_BUILD_ROOT/etc/skel
  install -c %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/bashrc
  install -c %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/skel/.bashrc
  install -c %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/skel/.bash_profile

  %find_lang %{name}

%post
HASBASH2=""
HASBASH=""
HASSH=""

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 3.0, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
